[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Debian-Installer on sparc64, cdrom-installation not possible



Joerg Friedrich wrote:
> pkg-lists/cdrom/sparc.cfg was fixed by joshk on un Apr 18 23:20:42 2004
> UTC (rev 13836). But the iso-images were always generated with an older
> build of d-i.

This is because sparc has been failing to build lately, so there have
been no newer builds. We should have CDs with one today.

> now d-i build tries to install 'cdrom-core-modules-2.4.24-sparc64-di' and 
> 'cdrom-core-modules-2.4.24-sparc32-di' to the initrd but tha latter is
> not available. AFAIR the cdrom-modules for sparc32 are not built as
> modules.
> Further more 'nic-pci-modules-2.4.26-sparc64-di' is not available.
> Latest kernel seems to be 2.4.24, at least for sparc.

I worked around this breakage in the beta4 branch by changing it to do
this:

# FIXME: This module is only available for one subarch, so we cannot use
# the ${kernel:Version} variable for it.
nic-pci-modules-2.4.24-sparc64-di

I'm not sure if this workaround is suficient, it would be nice if
someone could make sparc build and commit the necessary fixes to
subversion.

-- 
see shy jo

Attachment: signature.asc
Description: Digital signature


Reply to: